X931TestVector (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.prng.test

## Class X931TestVector

- java.lang.Object
- - org.bouncycastle.crypto.prng.test.X931TestVector

-     public class X931TestVector
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X931TestVector(BlockCipher engine, EntropySourceProvider entropyProvider, java.lang.String key, java.lang.String dateTimeVector, boolean predictionResistant, java.lang.String[] expected)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDateTimeVector()`
    `BlockCipher` | `getEngine()`
    `EntropySourceProvider` | `getEntropyProvider()`
    `java.lang.String[]` | `getExpected()`
    `java.lang.String` | `getKey()`
    `boolean` | `isPredictionResistant()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X931TestVector

          public X931TestVector(BlockCipher engine,
                                EntropySourceProvider entropyProvider,
                                java.lang.String key,
                                java.lang.String dateTimeVector,
                                boolean predictionResistant,
                                java.lang.String[] expected)

  - ### Method Detail

    - #### getDateTimeVector

          public java.lang.String getDateTimeVector()

    - #### getEngine

          public BlockCipher getEngine()

    - #### getEntropyProvider

          public EntropySourceProvider getEntropyProvider()

    - #### getExpected

          public java.lang.String[] getExpected()

    - #### getKey

          public java.lang.String getKey()

    - #### isPredictionResistant

          public boolean isPredictionResistant()